/*
 * $Id: MySQLFullTextSearchApplicationPack.java,v 1.1 2005/11/06 14:44:21 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.koike.rss;

import java.io.FileInputStream;
import java.util.Properties;

import org.logical_paradox.koike.core.KoikeConfig;
import org.logical_paradox.koike.rss.search.RSSSearchEngine;
import org.logical_paradox.koike.tools.ri.FullTextSearchApplicationPack;

/**
 * mysqlのインターフェースを使用するkoikeクライアント
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class MySQLFullTextSearchApplicationPack extends FullTextSearchApplicationPack {
	/**
	 * コンストラクタ
	 */
	public MySQLFullTextSearchApplicationPack() {
		super();
	}
	/**
	 * アプリケーション初期化処理
	 * @throws Exception 処理されなかった例外
	 */
	public void init() throws Exception {
		Properties p = new Properties();
		p.load(new FileInputStream("conf/koike.conf"));
		KoikeConfig config = new KoikeConfig(p);

		core = new RSSSearchEngine(config);
	}

}
